# DefaultLogFormatter
<span class="source-link">[[Source]](src/logger/logger.md#L154)</span>
```pony
primitive val DefaultLogFormatter is
  LogFormatter val
```

#### Implements

* [LogFormatter](logger-LogFormatter) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/logger/logger.md#L154)</span>


```pony
new val create()
: DefaultLogFormatter val^
```

#### Returns

* [DefaultLogFormatter](logger-DefaultLogFormatter) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/logger/logger.md#L155)</span>


```pony
fun box apply(
  msg: String val,
  loc: SourceLoc val)
: String val
```
#### Parameters

*   msg: [String](builtin-String) val
*   loc: [SourceLoc](builtin-SourceLoc) val

#### Returns

* [String](builtin-String) val

---

### eq
<span class="source-link">[[Source]](src/logger/logger.md#L155)</span>


```pony
fun box eq(
  that: DefaultLogFormatter val)
: Bool val
```
#### Parameters

*   that: [DefaultLogFormatter](logger-DefaultLogFormatter) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/logger/logger.md#L155)</span>


```pony
fun box ne(
  that: DefaultLogFormatter val)
: Bool val
```
#### Parameters

*   that: [DefaultLogFormatter](logger-DefaultLogFormatter) val

#### Returns

* [Bool](builtin-Bool) val

---

